-----------------------------------------------------
-- File in Projekt eingebaut
-----------------------------------------------------
LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;
use ieee.numeric_std.all;
use std.textio.all;	
use ieee.Std_Logic_Textio.all;	


ENTITY tb_uart_top_ro IS
END tb_uart_top_ro;
ARCHITECTURE arch_tb_uart_top_ro OF tb_uart_top_ro IS

component uart_top_ro is
   port (

         );
end component;

signal brd_clk   	: STD_LOGIC;
signal rxfifo_dat	   	    : STD_LOGIC_VECTOR (7 downto 0);
signal rx,tx,dat_received   	        : STD_LOGIC;
signal debug        : STD_LOGIC_VECTOR (15 downto 0);

begin

uut: uart_top_ro 
port map (

);

--Test-Daten aus datei holen und an UUT weiterleiten
test_sim:process
file test_in,read_out: text;
variable in_line,out_line:line;
variable in_sigs  : std_logic_vector(7 downto 0);
begin
  file_open(test_in,"test_data.dta",READ_MODE);  
  --file_open(read_out,"read_data.dta",WRITE_MODE);
  rx <= '1';
  wait for 2000 ns;
  while not endfile(test_in) loop 
	readline(test_in,in_line);
    read(in_line,in_sigs);	 
 --seriell Daten in UUT schaufeln 
    --in_sigs := (others => '0');
	 --monitor <= in_sigs;
	 --Datenfiles sind 8 bit
	 --Startbit:
	 rx <= '0';
	 wait for 1.09 us;
	 for i in 0 to 7 loop
	   rx <= in_sigs(i);
	   wait for 1.09 us;
    end loop;
    --Stopbit: 
    rx <= '1';
    wait for 109 us;
 end loop;
 
 file_close(test_in); 
-- file_close(read_out); 
 
wait;
end process test_sim; 

ck_proc: process
  begin
  brd_clk <= '0';
  loop  
       wait for 5 ns;
       brd_clk <= not brd_clk;
  end loop; 
  wait;  
end process ck_proc;
END arch_tb_uart_top_ro;























































































